{
    "name": "openemr/openemr",
    "version": "7.0.0",
    "description": "OpenEMR is a Free and Open Source electronic health records and medical practice management application",
    "license": "GPL",
    "support": {
        "website": "https://www.open-emr.org/",
        "issues": "https://github.com/openemr/openemr/issues",
        "forum": "https://community.open-emr.org/",
        "wiki": "https://www.open-emr.org/wiki/index.php/OpenEMR_Wiki_Home_Page",
        "source": "https://github.com/openemr/openemr"
    },
    "require": {
        "php": ">=8.0.0",
        "academe/omnipay-authorizenetapi": "3.1.2",
        "adodb/adodb-php": "5.22.4",
        "aranyasen/hl7": "2.1.7",
        "bacon/bacon-qr-code": "2.0.7",
        "digitickets/lalit": "3.3.0",
        "dompdf/dompdf": "2.0.1",
        "ezyang/htmlpurifier": "4.16.0",
        "google/apiclient": "2.12.6",
        "guzzlehttp/guzzle": "7.5.0",
        "html2text/html2text": "4.3.1",
        "kamermans/guzzle-oauth2-subscriber": "1.0.12",
        "knplabs/knp-snappy": "1.4.1",
        "laminas/laminas-config": "3.8.0",
        "laminas/laminas-db": "2.16.1",
        "laminas/laminas-eventmanager": "3.8.0",
        "laminas/laminas-escaper": "2.12.0",
        "laminas/laminas-filter": "2.29.0",
        "laminas/laminas-form": "3.8.0",
        "laminas/laminas-inputfilter": "2.22.1",
        "laminas/laminas-json": "3.5.0",
        "laminas/laminas-json-server": "3.7.0",
        "laminas/laminas-loader": "2.9.0",
        "laminas/laminas-mvc": "3.6.0",
        "laminas/laminas-mvc-i18n": "1.7.0",
        "laminas/laminas-servicemanager": "3.20.0",
        "laminas/laminas-soap": "2.11.1",
        "laminas/laminas-stdlib": "3.16.1",
        "laminas/laminas-xmlrpc": "2.15.0",
        "lcobucci/jwt": "4.1.5",
        "league/omnipay": "3.2.1",
        "mobiledetect/mobiledetectlib": "3.74.0",
        "monolog/monolog": "2.8.0",
        "mpdf/mpdf": "8.1.3",
        "nyholm/psr7": "1.5.1",
        "nyholm/psr7-server": "1.0.2",
        "omnipay/stripe": "3.2.0",
        "openemr/mustache": "2.15.2",
        "particle/validator": "dev-openemr235 as 2.3.4",
        "pear/archive_tar": "1.4.14",
        "phpmailer/phpmailer": "6.7.1",
        "phpoffice/phpspreadsheet": "1.25.2",
        "phpseclib/phpseclib": "2.0.39",
        "php81_bc/strftime": "0.5.0",
        "psr/log": "1.1.4",
        "ramsey/uuid": "4.6.0",
        "robthree/twofactorauth": "1.8.2",
        "rospdf/pdf-php": "0.12.65",
        "smarty/smarty": "4.3.0",
        "steverhoades/oauth2-openid-connect-server": "2.4.0",
        "stripe/stripe-php": "7.128.0",
        "symfony/config": "4.4.44",
        "symfony/console": "4.4.49",
        "symfony/dependency-injection": "4.4.49",
        "symfony/event-dispatcher": "4.4.44",
        "symfony/event-dispatcher-contracts": "1.1.13",
        "symfony/http-client": "4.4.49",
        "symfony/http-foundation": "4.4.49",
        "symfony/yaml": "4.4.45",
        "twig/twig": "3.4.3",
        "vlucas/phpdotenv": "5.5.0",
        "waryway/php-traits-library": "1.0.4",
        "yubico/u2flib-server": "1.0.2"
    },
    "config": {
        "platform": {
            "php": "8.0"
        },
        "allow-plugins": {
            "openemr/oe-module-installer-plugin": true
        }
    },
    "require-dev": {
        "phpunit/phpunit": "9.*",
        "symfony/panther": "1.*",
        "zircote/swagger-php": "^3.2"
    },
    "repositories": [
        {
            "type": "vcs",
            "url": "https://github.com/openemr/Validator"
        },
        {
            "type": "vcs",
            "url": "https://github.com/openemr/wkhtmltopdf-openemr"
        },
        {
            "type": "git",
            "url": "https://github.com/openemr/oe-module-cqm"
        }
    ],
    "autoload": {
        "exclude-from-classmap": [
            "src/Common/Compatibility/Checker.php",
            "library/classes/ClinicalTypes/",
            "library/classes/rulesets/",
            "library/classes/smtp/"
        ],
        "classmap": [
            "library/classes"
        ],
        "files": [
            "library/htmlspecialchars.inc.php",
            "library/formdata.inc.php",
            "library/sanitize.inc.php",
            "library/formatting.inc.php",
            "library/date_functions.php",
            "library/validation/validate_core.php",
            "library/translation.inc.php"
        ],
        "psr-4": {
            "OpenEMR\\": "src"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "OpenEMR\\Tests\\": "tests\\Tests"
        }
    }
}
